Package org.apache.calcite.avatica.util

## Class DateTimeUtils.ReflectiveOffsetDateTimeHandler

- java.lang.Object
- - org.apache.calcite.avatica.util.DateTimeUtils.ReflectiveOffsetDateTimeHandler

All Implemented Interfaces:
  `DateTimeUtils.OffsetDateTimeHandler`

Enclosing class:
  DateTimeUtils

    private static class DateTimeUtils.ReflectiveOffsetDateTimeHandler
    extends java.lang.Object
    implements DateTimeUtils.OffsetDateTimeHandler

Implementation of `OffsetDateTimeHandler` for environments where no instances are possible.

### Field Summary

Fields
`(package private) java.lang.Class` `offsetDateTimeClass`

### Constructor Summary

Constructors
`private` `ReflectiveOffsetDateTimeHandler()`

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `isOffsetDateTime​(java.lang.Object o)`
`java.lang.String` `stringValue​(java.lang.Object o)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### offsetDateTimeClass

    final java.lang.Class offsetDateTimeClass

### Constructor Detail

#### ReflectiveOffsetDateTimeHandler

    private ReflectiveOffsetDateTimeHandler()
                                     throws java.lang.ClassNotFoundException

Throws:
  `java.lang.ClassNotFoundException`

### Method Detail

#### isOffsetDateTime

    public boolean isOffsetDateTime​(java.lang.Object o)

Specified by:
  `isOffsetDateTime` in interface `DateTimeUtils.OffsetDateTimeHandler`

#### stringValue

    public java.lang.String stringValue​(java.lang.Object o)

Specified by:
  `stringValue` in interface `DateTimeUtils.OffsetDateTimeHandler`